# Revoke webhook key

Revoke an inbound webhook signing key.

Source: https://statusdashboard.com/docs/api/integrations/webhooks/inbound/keys/revoke

`DELETE /app/integrations/webhooks/inbound/keys/{keyId}`

Permanently revokes a webhook signing key. Any inbound webhook requests signed with the revoked key will immediately begin failing signature verification.

Requires the **integrations** feature entitlement.

***

## Path parameters
| Parameter | Type   | Description                          |
| --------- | ------ | ------------------------------------ |
| `keyId`   | string | The ID of the webhook key to revoke. |

***

## Request
See [API Basics](/docs/api) for required headers.

***

## Sample request
```bash
curl -X DELETE https://api.statusdashboard.com/app/integrations/webhooks/inbound/keys/wk_a1b2c3d4e5f6a7b8 \
  -H "Authorization: Bearer bcf847abf5c6:def456"
```

## Sample response
**Status: `204 No Content`**

No response body.

***

## Error responses
| Status | When                                                                  |
| ------ | --------------------------------------------------------------------- |
| `403`  | Insufficient permissions, or the integrations feature is not enabled. |
| `404`  | No webhook key with that ID exists in the organization.               |
